package speiger.src.coreengine.platform.graphics.api.shader;

import java.util.Objects;

import speiger.src.coreengine.platform.graphics.api.shader.states.GraphicsDataType;

public record BufferAttribute(String name, int index, int size, GraphicsDataType type, boolean normal) {
	public BufferAttribute {
		Objects.requireNonNull(name, "Attributes requires name");
		Objects.requireNonNull(type, "GraphicsDataType required");
	}
}
